GetGridRegion

Grid Allergen Region .geotiff Map

The Region API provides airborne allergen information for the entirety of a region, returned as a geoTIFF raster. The resulting raster is technically a map, but it contains raw data for each point in the region. This API is not a mapping service in the sense of generating sub-tiles with varying styles for the purpose of rendering end-user maps.

Example Use Cases

  • Integration into an analytical model.
  • A system which ingests the .geotiff raster and responds to queries for specific points in space and time.
  • A system which renders end-user condition maps from this and potentially other sources.
Query Parameters
  • region
    Type: string
    required

    A region code, such as NA for North America

  • starting
    Type: stringFormat: date-time
    required

    Starting date relative to region time . Use ISO format, e.g: YYYY-MM-DD

  • category
    Type: string
    required

    Category code from /categories, e.g. POL, MOL, TRE, WEE, GRA

  • agg
    Type: string
    required

    One of: A (Average), H (High), L (Low)

  • unit
    Type: string

    PPM3 or misery

  • format
    Type: string

    Result format. Currently tiff is supported, which produces a GeoTIFF.

Responses
  • image/tiff
Request Example for get/region
curl 'https://model.pollensense.com/api/region?region=NA&starting=&category=&agg=A&unit=PPM3&format=tiff&key=YOUR_SECRET_TOKEN'
string